Bug 1566737 (CVE-2018-9306) - CVE-2018-9306 exiv2: out of bounds read in IptcData::printStructure in iptc.c
Summary: CVE-2018-9306 exiv2: out of bounds read in IptcData::printStructure in iptc.c
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-9306
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1566727 1566738
Blocks: 1566728
TreeView+ depends on / blocked
 
Reported: 2018-04-12 21:40 UTC by Laura Pardo
Modified: 2021-02-17 00:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-20 09:52:53 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1577 0 None None None 2020-04-28 15:27:10 UTC

Description Laura Pardo 2018-04-12 21:40:09 UTC
A flaw was found in Exiv2 0.26, an out-of-bounds read in IptcData::printStructure in iptc.c could result in a crash or information leak, related to the "!= 0x1c" case.


References:
https://github.com/Exiv2/exiv2/issues/263
https://github.com/xiaoqx/pocs/blob/master/exiv2/readme.md

Comment 1 Laura Pardo 2018-04-12 21:42:26 UTC
Created exiv2 tracking bugs for this issue:

Affects: fedora-all [bug 1566727]

Comment 3 Riccardo Schirone 2018-04-18 12:28:19 UTC
I believe this CVE is a duplicate of CVE-2017-17724 (https://bugzilla.redhat.com/show_bug.cgi?id=1545237).

Comment 4 Riccardo Schirone 2018-04-20 09:52:53 UTC
Closing as MITRE has rejected CVE-2018-9306 as a duplicate of CVE-2017-17724 (https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-9306).

Comment 5 Doran Moppert 2020-02-10 04:37:32 UTC
Statement:

This flaw was found to be a duplicate of CVE-2017-17724. Please see https://access.redhat.com/security/cve/CVE-2017-17724 for information about affected products and security errata.

Comment 6 errata-xmlrpc 2020-04-28 15:27:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1577 https://access.redhat.com/errata/RHSA-2020:1577


Note You need to log in before you can comment on or make changes to this bug.